Package fr.gouv.vitam.common.model

# Class VitamConstants

java.lang.Object
fr.gouv.vitam.common.model.VitamConstants

public class VitamConstants extends Object
Constants class for Vitam internal features

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `VitamConstants.AppraisalRuleFinalAction`
  `static enum`
  `VitamConstants.StorageRuleFinalAction`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DETAILS`
  `static final String`
  `EVERY_ORIGINATING_AGENCY`
  tag of EveryOriginatingAgency
  `static final String`
  `JSON_EXTENSION`
  `static final String`
  `JSONL_EXTENSION`
  `static final String`
  `MANIFEST_FILE_NAME_REGEX`
  `static final String`
  `SIP_FOLDER`
  `static final String`
  `TAG_RULE_ACCESS`
  tag of AccessRule
  `static final String`
  `TAG_RULE_APPRAISAL`
  tag of AppraisalRule
  `static final String`
  `TAG_RULE_CLASSIFICATION`
  tag of ClassificationRule
  `static final String`
  `TAG_RULE_DISSEMINATION`
  tag of DisseminationRule
  `static final String`
  `TAG_RULE_HOLD`
  tag of HoldRule
  `static final String`
  `TAG_RULE_REUSE`
  tag of ReuseRule
  `static final String`
  `TAG_RULE_STORAGE`
  tag of StorageRule
  `static final String`
  `URL_ENCODED_SEPARATOR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<String>`
  `getSupportedRules()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SIP_FOLDER

    public static final String SIP_FOLDER
    See Also:
      - Constant Field Values

  - ### TAG_RULE_STORAGE

    public static final String TAG_RULE_STORAGE
    tag of StorageRule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_APPRAISAL

    public static final String TAG_RULE_APPRAISAL
    tag of AppraisalRule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_ACCESS

    public static final String TAG_RULE_ACCESS
    tag of AccessRule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_DISSEMINATION

    public static final String TAG_RULE_DISSEMINATION
    tag of DisseminationRule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_REUSE

    public static final String TAG_RULE_REUSE
    tag of ReuseRule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_CLASSIFICATION

    public static final String TAG_RULE_CLASSIFICATION
    tag of ClassificationRule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_HOLD

    public static final String TAG_RULE_HOLD
    tag of HoldRule
    See Also:
      - Constant Field Values

  - ### EVERY_ORIGINATING_AGENCY

    public static final String EVERY_ORIGINATING_AGENCY
    tag of EveryOriginatingAgency
    See Also:
      - Constant Field Values

  - ### MANIFEST_FILE_NAME_REGEX

    public static final String MANIFEST_FILE_NAME_REGEX
    See Also:
      - Constant Field Values

  - ### URL_ENCODED_SEPARATOR

    public static final String URL_ENCODED_SEPARATOR

  - ### JSON_EXTENSION

    public static final String JSON_EXTENSION
    See Also:
      - Constant Field Values

  - ### JSONL_EXTENSION

    public static final String JSONL_EXTENSION
    See Also:
      - Constant Field Values

  - ### DETAILS

    public static final String DETAILS
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getSupportedRules

    public static List<String> getSupportedRules()
    Returns:
      supported Rules type